
#include "receiver.h"

#include "jacobi.decl.h"

class main : public Chare
{
private:
  CkArrayID A;

public:
  main(CkMigrateMessage *m) {}
  main(CkArgMsg *m);
  void allDone(CkQdMsg *);
};

class jacobi: public receiver 
{
 private:
  char data[50];
 public:
   jacobi();
   jacobi(CkMigrateMessage *m) {}
};

